package jp.ne.ruru.park.ando.ee2e.cdt;
import jp.ne.ruru.park.ando.ee2e.editors.EE2ETextEditorActionContributor;

import jp.ne.ruru.park.ando.ee2e.EE2EDebug;
import jp.ne.ruru.park.ando.ee2e.cf.EE2EGetFactory;
import jp.ne.ruru.park.ando.ee2e.display.EE2EMiniBufferView;

import org.eclipse.ui.IEditorPart;

import org.eclipse.jface.action.IMenuManager;

/**
 * To change this generated comment edit the template variable "typecomment":
 * Window&gt;Preferences&gt;Java&gt;Templates.
 * To enable and disable the creation of type comments go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation.
 *
 * @author Toshikazu Ando [ ando@park.ruru.ne.jp ]
 */
public class EE2ECEditorActionContributor
    extends org.eclipse.cdt.internal.ui.editor.CEditorActionContributor {
    public EE2ECEditorActionContributor() {
        super();
        EE2EDebug.printf(3, "EE2ECEditorActionContributor start!");
        EE2EGetFactory.get().setEE2ECFOterhDistributors(new EE2ECFC());
    }

    /**
     * @see org.eclipse.ui.IEditorActionBarContributor#setActiveEditor(IEditorPart)
     */
    public void setActiveEditor(IEditorPart part) {
        EE2EDebug.printf(3, "EE2ECEditorActionContributor#setActiveEditor file=" + part.getTitle());
        if (part != null) {
            EE2ETextEditorActionContributor.checkSetting(part);
            EE2ETextEditorActionContributor.createIMenuManager(part);
        }
        super.setActiveEditor(part);
    }

    /**
     * @see IEditorActionBarContributor#dispose()
     * @since 2.0
     */
    public void dispose() {
        super.dispose();
        EE2EDebug.printf(3, "EE2ECEditorActionContributor#dispose");
        EE2EMiniBufferView.removeEE2EDisplayCompletion();
    }
    /**
     * @see org.eclipse.ui.part.EditorActionBarContributor#contributeToMenu(IMenuManager)
     */
    public void contributeToMenu(IMenuManager manager) {
        super.contributeToMenu(manager);
        EE2ETextEditorActionContributor.staticContributeToMenu(manager);
    }
}
